<?php

namespace MGModule\DNSManager2\mgLibs\custom\dns\record\type;

class A extends RecordTypeAbstract {
    /**
     * A 32 bit Internet address.
     */
    public $address;

    /**
     * @param string $address Ipv4 address
     * @return bool
     */
    public function addressValidate($address)
    {
        return filter_var($address,FILTER_VALIDATE_IP,FILTER_FLAG_IPV4);
    }
}